#ifndef COMMUN_EST_INCLUS
#define COMMUN_EST_INCLUS

#define stopBall      0
#define direction     2
#define Rspeed        4   // the racket speed
#define Bspeed       5    // the ball speed

#define BitPixel     32
#define width 	    720   // the principal windows width and length
#define length      550

void pause(int initBall);
void display(int Sred, int Sgreen, int Sblue);

//the timer callback function
Uint32 MoveBall(Uint32 interval);

SDL_Rect positionRack1,positionRack2,positionBall,position, positionSur;
SDL_Rect positionP1,positionP2,positionT,positionTab,center_surf;

SDL_Event event;

// surfaces
SDL_Surface *screen      = NULL;
SDL_Surface *surface     = NULL;
SDL_Surface *table       = NULL;
SDL_Surface *center      = NULL;

//images
SDL_Surface *rack1       = NULL;
SDL_Surface *rack2       = NULL;
SDL_Surface *ball      	 = NULL;
SDL_Surface *icon     	 = NULL;

// messages
SDL_Surface *text        = NULL;
SDL_Surface *time        = NULL;
SDL_Surface *scorePlayer = NULL;
SDL_Surface *P1_P2       = NULL;

// Fonts
TTF_Font *police     	 = NULL;
TTF_Font *policeDIG      = NULL;
TTF_Font *policeDIG2     = NULL;

// texts colors
SDL_Color red   = {255,0,0};           // R
SDL_Color green = {0,255,0};           // G
SDL_Color blue  = {0,0,255};           // B
SDL_Color black = {0,0,  0};


char Score[20];
char TM[20];

int sens, play,Pause;
int limit_haut, limit_bas,limit_right;
int score1, score2;
int center_ball;
int limitCollision2, limitCollision1,limitCollision3,limitCollision4;
int width_rack1,width_rack2;
int tolerence1,tolerence2;
int ms,sec,min,hour,tm;

#endif

