#ifndef AFFICHAGE_EST_INCLUS
#define AFFICHAGE_EST_INCLUS

 void display(int Sred, int Sgreen, int Sblue)
{
     
    tm = SDL_GetTicks()/1000;
    hour= tm/3600 ;
    min =  (tm%3600)/60;
    sec = (tm%3600)%60;
   
    //create the table messages    
    sprintf( Score,"%d - %d ",score1,score2); 
    sprintf( TM," %02d:%02d:%02d",hour,min,sec); 
   
    P1_P2        = TTF_RenderText_Blended(policeDIG,  " P1 - P2 ", green);  
    scorePlayer  = TTF_RenderText_Blended(policeDIG,        Score, green);  
    time         = TTF_RenderText_Blended(policeDIG2,          TM, blue); 
 
    SDL_FillRect(surface,NULL,SDL_MapRGBA(surface ->format, Sred, Sgreen, Sblue, 0));
    SDL_FillRect(screen, NULL,SDL_MapRGBA(screen ->format,  210, 210, 230, 0));
    SDL_FillRect(table  ,NULL,SDL_MapRGBA(table ->format,   0, 0, 0, 0));
    SDL_FillRect(center  ,NULL,SDL_MapRGBA(center ->format, 255, 255, 255, 0));
    
    // messages positions 
    positionT.x =  table->w/2 - time->w/2; 
    positionT.y =  30;
  
    positionP1.x =  table->w/2 - P1_P2->w/2; 
    positionP1.y =  positionT.y + 2*time->h;
  
    positionP2.x =  table->w/2  - scorePlayer->w/2;
    positionP2.y = P1_P2->h +positionP1.y;
  
    // Blit surfaces
    
	      SDL_BlitSurface(center,     NULL, surface, &center_surf);
	      SDL_BlitSurface(text,       NULL, surface, &position); 
	      SDL_BlitSurface(rack1,      NULL, surface, &positionRack1);
	      SDL_BlitSurface(rack2,      NULL, surface, &positionRack2); 
	      SDL_BlitSurface(ball,       NULL, surface, &positionBall);   
	      
	      SDL_BlitSurface(surface,    NULL, screen,  &positionSur);   
  
	      SDL_BlitSurface(P1_P2,      NULL, table, &positionP1);
	      SDL_BlitSurface(scorePlayer,NULL, table, &positionP2);
	      SDL_BlitSurface(time,       NULL, table, &positionT );
              
	      SDL_BlitSurface(table,        NULL,   screen, &positionTab);
    

	// flip screen
              SDL_Flip(screen);

}

# endif
