#ifndef __DEFS__
#define __DEFS__

#include <stdlib.h>

#if defined (WIN32)
    #include <SDL.h>
    #include <SDL_ttf.h>
    #include <SDL_image.h>
    #include <SDL_mixer.h>
#else
    #include <SDL/SDL.h>
    #include <SDL/SDL_ttf.h>
    #include <SDL/SDL_image.h>
    #include <SDL/SDL_mixer.h>
#endif

#define stopBall      0
#define direction     2
#define Rspeed        5   
#define Bspeed       10   
#define BitPixel     32

int display(void * data);
Uint32 MoveBall(Uint32 interval);

SDL_Rect positionRack1, positionRack2, positionBall, positionSur, positionTab, positionTme, positionScr, positionTte, positionCtr, \
positionRg1, positionlf1, positionRg2, positionlf2, positionRg3, positionlf3, \
positionTop1, positionTop2, positionBas1, positionBas2;
volatile int sens, BallCenter, limit_rack1, limit_rack2;
int low, top, right, RSection2, RSection1, RSection3, RSection4, tolerence1,tolerence2, play, p1, p2;

#endif
