# include "defs.h"

extern SDL_Surface *surface;
extern SDL_Surface *rack1;
extern SDL_Surface *rack2;
extern SDL_Surface *ball ;    

extern Mix_Chunk * mur;
extern Mix_Chunk * hit;

Uint32 MoveBall(Uint32 interval)
{
    
     BallCenter   = positionBall.x + ball->w/2;
     limit_rack2  = positionRack2.x + rack2->w;
     limit_rack1  = positionRack1.x + rack1->w;

   if (positionBall.y  + ball->h == low)
   {
 
     if((BallCenter <= limit_rack1  + tolerence1)&&(BallCenter > positionRack1.x + RSection4 ))    {Mix_PlayChannel(2, hit, 0); sens = 1;}
     if((BallCenter <= positionRack1.x + RSection4 )&&(BallCenter > positionRack1.x + RSection3 )) {Mix_PlayChannel(2, hit, 0); sens = 2;}
     if((BallCenter >= positionRack1.x + RSection2 )&&(BallCenter <= positionRack1.x + RSection3)) {Mix_PlayChannel(2, hit, 0); sens = 3;}
     if((BallCenter >= positionRack1.x + RSection1 )&&(BallCenter < positionRack1.x +RSection2))   {Mix_PlayChannel(2, hit, 0); sens = 4;}
     if((BallCenter < positionRack1.x + RSection1)&&(BallCenter >= positionRack1.x - tolerence1))  {Mix_PlayChannel(2, hit, 0); sens = 5;}
     
   }


   if (positionBall.y == top)
   {
     
     if((BallCenter <= limit_rack2 + tolerence2)&&(BallCenter > positionRack2.x + RSection4))      {Mix_PlayChannel(2, hit, 0); sens = 6;}
     if((BallCenter <= positionRack2.x + RSection4 )&&(BallCenter > positionRack2.x + RSection3 )) {Mix_PlayChannel(2, hit, 0); sens = 7;}
     if((BallCenter >= positionRack2.x + RSection2 )&&(BallCenter <= positionRack2.x + RSection3)) {Mix_PlayChannel(2, hit, 0); sens = 8;}
     if((BallCenter >= positionRack2.x + RSection1 )&&(BallCenter < positionRack2.x + RSection2))  {Mix_PlayChannel(2, hit, 0); sens = 9;}
     if((BallCenter < positionRack2.x + RSection1)&&(BallCenter >= positionRack2.x - tolerence2))  {Mix_PlayChannel(2, hit, 0); sens =10;}

   }

   if(positionBall.x == right) {Mix_PlayChannel(2, mur, 0);}

   if(positionBall.x == 0)     {Mix_PlayChannel(2, mur, 0);}

   if(positionBall.y + ball->h >= surface->h)
   {    
	sens = 0;
	p2 ++;
	positionBall.x = surface->w/2 -ball->w/2;
	positionBall.y = positionRack2.y + rack2->h;
	positionRack1.x = surface->w/2 - rack1->w/2;
	positionRack2.x = surface->w/2 - rack2->w/2;
	SDL_SetTimer(0, NULL);
   }


   if(positionBall.y  == 0)
   {
	sens = 0;
	p1 ++;
	positionBall.x = surface->w/2 -ball->w/2;
	positionBall.y = positionRack1.y - ball->h;
	positionRack1.x = surface->w/2 - rack1->w/2;
	positionRack2.x = surface->w/2 - rack2->w/2;
	SDL_SetTimer(0, NULL);
   }
  
   switch(sens)
       {                                                                                                              
                       
	case 1:   positionBall.x += direction;                                            
		   positionBall.y -= direction;                                            
	          
                  if(positionBall.x == right)                                      
		    sens = -1;
	            
        break;
	case -1 :   positionBall.x-= direction;
		    positionBall.y-= direction;
	            
                    if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter> positionRack2.x - tolerence1))
			sens = 10;

        break; 
       	case 2 :   positionBall.x += direction;                        
		   positionBall.y -= 2*direction;
		   if(positionBall.x == right)
			sens = -2;
		     
		   if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter> positionRack2.x - tolerence1))
			sens = 20;
					     		    
        break;
        case -2 :   positionBall.x-= direction;
		    positionBall.y-= 2*direction;
		    if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter> positionRack2.x - tolerence1))
			sens = 20;
			
	break;
	case 3 :   positionBall.y -= 2*direction;
        if((positionBall.y == positionRack2.y + rack2->h)&&(BallCenter< limit_rack2 + tolerence1)&&(BallCenter> positionRack2.x - tolerence1))
		      sens = -3;

        break;
	case 4 :    positionBall.x-= direction;                                     
		    positionBall.y-= 2*direction;                                 
		    if(positionBall.x == 0)
			sens = -4;
		      
		    if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter>= positionRack2.x - tolerence1))
			sens = 40; 
		 
        break;  
	case -4 :   positionBall.x += direction;
		    positionBall.y -= 2*direction ;
		    if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter>= positionRack2.x - tolerence1))
			sens = 40;
   
        break;
	case 5 :   positionBall.x -= direction;
	           positionBall.y -= direction;
		   if(positionBall.x == 0)                                
			sens = -5;
	            
                     
        break;
	case -5 :   positionBall.x += direction;
		    positionBall.y -= direction;
	            if((positionBall.y == top)&&(BallCenter<= limit_rack2 + tolerence1)&&(BallCenter>= positionRack2.x - tolerence1))
		      sens = 50;

	break;                                               
	case 6:   positionBall.x += direction;
		  positionBall.y += direction;
		   if(positionBall.x == right)                             
		      sens = -6;
		
        break;
	case -6 :   positionBall.x -= direction;
		    positionBall.y += direction;
		 if((positionBall.y + ball->w == low )&&(BallCenter>= positionRack1.x -tolerence2)&&(BallCenter<= limit_rack1  + tolerence2))
		      sens = 60;
		     
        break;
        case 7 :    positionBall.x += direction;
		    positionBall.y += 2*direction;
		    if(positionBall.x == right)
		      sens = -7;
		  
	       	 if((positionBall.y + ball->w == low )&&(BallCenter>= positionRack1.x -tolerence2)&&(BallCenter<= limit_rack1  + tolerence2))
		     sens = 70;
		    
	break;
	case -7 :    positionBall.x -= direction;
		     positionBall.y += 2*direction;
		 if((positionBall.y + ball->w == low )&&(BallCenter>= positionRack1.x -tolerence2)&&(BallCenter<= limit_rack1  + tolerence2))
		       sens = 70;
	              
        break;
	case 8 :   positionBall.y += 2*direction;
	if((positionBall.y + ball->w == positionRack1.y)&&(BallCenter>= positionRack1.x - tolerence2)&&(BallCenter<= limit_rack1  +tolerence2))
		     sens = -8;
		      
        break;
	case 9 :    positionBall.x -= direction;
		    positionBall.y += 2*direction;
		if(positionBall.x == 0)                                          
	 	  sens = -9;
		     
		if((positionBall.y +ball->h == low)&&(BallCenter>= positionRack1.x - tolerence2)&&(positionBall.x<= limit_rack1 + tolerence2))
		  sens= 90;
		      		  
        break;
	case -9 :  positionBall.x+= direction;
		    positionBall.y+= 2*direction;
		if((positionBall.y +ball->h == low)&&(BallCenter>= positionRack1.x - tolerence2)&&(positionBall.x<= limit_rack1 + tolerence2))
		  sens= 90;
		      
	break; 
	case 10 :  positionBall.x -= direction;
		   positionBall.y += direction;
		   if(positionBall.x == 0)                                 
			sens = -10;

		  
        break;
	case -10 :  positionBall.x+= direction;
		    positionBall.y+= direction;
	       if((positionBall.y +ball->h == low)&&(BallCenter>= positionRack1.x - tolerence2)&&(positionBall.x<= limit_rack1  + tolerence2))
	         sens= 100;
				 
	break;
	default :   sens = 0;
	break;
	}
 
return interval; 
}
