#ifndef __DEFS__
#define __DEFS__

#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_mixer.h>
#include <SDL/SDL_mutex.h>

#define closesocket(s) close(s)

#define stopBall      0
#define direction     2
#define Rspeed        5   
#define Bspeed       8   
#define BitPixel     32

int net(void * data);
int display(void * data);
Uint32 MoveBall(Uint32 interval);

SDL_Rect positionRack1, positionRack2, positionBall, positionSur, positionTab, positionTme, positionScr, positionTte, positionCtr, \
positionRg1, positionlf1, positionRg2, positionlf2, positionRg3, positionlf3, \
positionTop1, positionTop2, positionBas1, positionBas2;
volatile int sens, BallCenter, limit_rack1, limit_rack2;
int low, top, right, RSection2, RSection1, RSection3, RSection4, tolerence1,tolerence2, play, p1, p2;

int ssock, csock;
struct sockaddr_in server, client;
socklen_t client_size ;

SDL_sem * semWrite, * semRead;

#endif
